(define (problem revinge-10-10-04-4)
  (:domain witas-dddl-compiled)

  (:objects
   heli0 - helicopter
   F3D-53-0-629 - Fly3D
   NAV-5-0-240 - NavToPoint
   F3D-52-0-623 - Fly3D
   NAV-4-0-240 - NavToPoint
   ATO-6-0-240 - AutoTakeOff
   ATO-5-0-240 - AutoTakeOff
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
   obs15 - observation
   obs16 - observation
   obs17 - observation
   obs18 - observation
   obs19 - observation
   obs20 - observation
   obs21 - observation
   obs22 - observation
   obs23 - observation
   obs24 - observation
   obs25 - observation
   obs26 - observation
   obs27 - observation
   obs28 - observation
   obs29 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-53-0-629)
   (task-running-on F3D-53-0-629 heli0)
   (NavToPoint-mode-is-pre_init NAV-5-0-240)
   (task-running-on NAV-5-0-240 heli0)
   (Fly3D-mode-is-pre_init F3D-52-0-623)
   (task-running-on F3D-52-0-623 heli0)
   (NavToPoint-mode-is-pre_init NAV-4-0-240)
   (task-running-on NAV-4-0-240 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-6-0-240)
   (task-running-on ATO-6-0-240 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-5-0-240)
   (task-running-on ATO-5-0-240 heli0)
   (MissionExec-mission-idle heli0)
   (matches-3 obs0 ATO-5-0-240 created MissionExecutor)
   (pending obs0)
   (matches-2 obs1 ATO-5-0-240 checkpoint1)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 ATO-5-0-240 checkpoint3)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 heli0 FCL-EVENT-MANUAL)
   (future obs3)
   (precedes-1 obs3 obs2)
   (matches-2 obs4 ATO-5-0-240 task-done)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-2 obs5 ATO-5-0-240 destroyed)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-3 obs6 ATO-6-0-240 created MissionExecutor)
   (future obs6)
   (precedes-1 obs6 obs5)
   (matches-2 obs7 ATO-6-0-240 checkpoint3)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-2 obs8 heli0 FCL-EVENT-IN_THE_AIR)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-2 obs9 ATO-6-0-240 checkpoint3)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-2 obs10 heli0 FCL-EVENT-FINISHED)
   (future obs10)
   (precedes-1 obs10 obs9)
   (matches-2 obs11 ATO-6-0-240 checkpoint2)
   (future obs11)
   (precedes-1 obs11 obs10)
   (matches-2 obs12 heli0 FCL-EVENT-FINISHED)
   (future obs12)
   (precedes-1 obs12 obs11)
   (matches-2 obs13 ATO-6-0-240 checkpoint6)
   (future obs13)
   (precedes-1 obs13 obs12)
   (matches-2 obs14 ATO-6-0-240 task-done)
   (future obs14)
   (precedes-1 obs14 obs13)
   (matches-2 obs15 ATO-6-0-240 destroyed)
   (future obs15)
   (precedes-1 obs15 obs14)
   (matches-3 obs16 NAV-4-0-240 created MissionExecutor)
   (future obs16)
   (precedes-1 obs16 obs15)
   (matches-2 obs17 NAV-4-0-240 checkpoint1)
   (future obs17)
   (precedes-1 obs17 obs16)
   (matches-2 obs18 NAV-4-0-240 checkpoint4)
   (future obs18)
   (precedes-1 obs18 obs17)
   (matches-3 obs19 F3D-52-0-623 created NAV-4-0-240)
   (future obs19)
   (precedes-1 obs19 obs18)
   (matches-2 obs20 F3D-52-0-623 checkpoint10)
   (future obs20)
   (precedes-1 obs20 obs19)
   (matches-2 obs21 heli0 FCL-EVENT-FINISHED)
   (future obs21)
   (precedes-1 obs21 obs20)
   (matches-2 obs22 F3D-52-0-623 task-done)
   (future obs22)
   (precedes-1 obs22 obs21)
   (matches-2 obs23 F3D-52-0-623 destroyed)
   (future obs23)
   (precedes-1 obs23 obs22)
   (matches-2 obs24 NAV-4-0-240 task-done)
   (future obs24)
   (precedes-1 obs24 obs23)
   (matches-3 obs25 NAV-5-0-240 created MissionExecutor)
   (future obs25)
   (precedes-1 obs25 obs24)
   (matches-2 obs26 NAV-5-0-240 checkpoint1)
   (future obs26)
   (precedes-1 obs26 obs25)
   (matches-2 obs27 NAV-5-0-240 checkpoint4)
   (future obs27)
   (precedes-1 obs27 obs26)
   (matches-2 obs28 F3D-53-0-629 checkpoint10)
   (future obs28)
   (precedes-1 obs28 obs27)
   (matches-2 obs29 heli0 FCL-EVENT-FINISHED)
   (future obs29)
   (precedes-1 obs29 obs28)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
          (observed obs15)
          (observed obs16)
          (observed obs17)
          (observed obs18)
          (observed obs19)
          (observed obs20)
          (observed obs21)
          (observed obs22)
          (observed obs23)
          (observed obs24)
          (observed obs25)
          (observed obs26)
          (observed obs27)
          (observed obs28)
          (observed obs29)
  ))

  (:metric minimize (total-cost))
 )
