(define (problem revinge-09-10-04-1)
  (:domain witas-dddl-compiled)

  (:objects
   heli0 - helicopter
   F3D-0-0-346 - Fly3D
   NAV-0-0-275 - NavToPoint
   ATO-0-0-275 - AutoTakeOff
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
   obs15 - observation
   obs16 - observation
   obs17 - observation
   obs18 - observation
   obs19 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-0-0-346)
   (task-running-on F3D-0-0-346 heli0)
   (NavToPoint-mode-is-pre_init NAV-0-0-275)
   (task-running-on NAV-0-0-275 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-0-0-275)
   (task-running-on ATO-0-0-275 heli0)
   (MissionExec-mission-idle heli0)
   (matches-3 obs0 ATO-0-0-275 created MissionExecutor)
   (pending obs0)
   (matches-2 obs1 ATO-0-0-275 checkpoint1)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 ATO-0-0-275 checkpoint3)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 heli0 FCL-EVENT-IN_THE_AIR)
   (future obs3)
   (precedes-1 obs3 obs2)
   (matches-2 obs4 ATO-0-0-275 checkpoint3)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-2 obs5 ATO-0-0-275 checkpoint3)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-2 obs6 heli0 FCL-EVENT-FINISHED)
   (future obs6)
   (precedes-1 obs6 obs5)
   (matches-2 obs7 ATO-0-0-275 checkpoint2)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-2 obs8 ATO-0-0-275 checkpoint5)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-2 obs9 heli0 FCL-EVENT-FINISHED)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-2 obs10 ATO-0-0-275 checkpoint6)
   (future obs10)
   (precedes-1 obs10 obs9)
   (matches-2 obs11 ATO-0-0-275 task-done)
   (future obs11)
   (precedes-1 obs11 obs10)
   (matches-2 obs12 ATO-0-0-275 destroyed)
   (future obs12)
   (precedes-1 obs12 obs11)
   (matches-3 obs13 NAV-0-0-275 created MissionExecutor)
   (future obs13)
   (precedes-1 obs13 obs12)
   (matches-2 obs14 NAV-0-0-275 checkpoint1)
   (future obs14)
   (precedes-1 obs14 obs13)
   (matches-2 obs15 NAV-0-0-275 checkpoint4)
   (future obs15)
   (precedes-1 obs15 obs14)
   (matches-3 obs16 F3D-0-0-346 created NAV-0-0-275)
   (future obs16)
   (precedes-1 obs16 obs15)
   (matches-2 obs17 F3D-0-0-346 checkpoint11)
   (future obs17)
   (precedes-1 obs17 obs16)
   (matches-2 obs18 F3D-0-0-346 checkpoint21)
   (future obs18)
   (precedes-1 obs18 obs17)
   (matches-2 obs19 heli0 FCL-EVENT-FINISHED)
   (future obs19)
   (precedes-1 obs19 obs18)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
          (observed obs15)
          (observed obs16)
          (observed obs17)
          (observed obs18)
          (observed obs19)
  ))

  (:metric minimize (total-cost))
 )
