(define (problem revinge-09-10-04-2)
  (:domain witas-dddl-compiled)

  (:objects
   heli0 - helicopter
   F3D-1-0-364 - Fly3D
   NAV-1-0-275 - NavToPoint
   ATO-1-0-275 - AutoTakeOff
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-1-0-364)
   (task-running-on F3D-1-0-364 heli0)
   (NavToPoint-mode-is-pre_init NAV-1-0-275)
   (task-running-on NAV-1-0-275 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-1-0-275)
   (task-running-on ATO-1-0-275 heli0)
   (MissionExec-mission-idle heli0)
   (matches-3 obs0 ATO-1-0-275 created MissionExecutor)
   (pending obs0)
   (matches-2 obs1 ATO-1-0-275 checkpoint3)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 heli0 FCL-EVENT-IN_THE_AIR)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 ATO-1-0-275 checkpoint3)
   (future obs3)
   (precedes-1 obs3 obs2)
   (matches-2 obs4 heli0 FCL-EVENT-FINISHED)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-2 obs5 ATO-1-0-275 checkpoint2)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-2 obs6 ATO-1-0-275 checkpoint5)
   (future obs6)
   (precedes-1 obs6 obs5)
   (matches-2 obs7 ATO-1-0-275 checkpoint6)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-2 obs8 ATO-1-0-275 destroyed)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-3 obs9 NAV-1-0-275 created MissionExecutor)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-2 obs10 NAV-1-0-275 checkpoint1)
   (future obs10)
   (precedes-1 obs10 obs9)
   (matches-2 obs11 NAV-1-0-275 checkpoint4)
   (future obs11)
   (precedes-1 obs11 obs10)
   (matches-3 obs12 F3D-1-0-364 created NAV-1-0-275)
   (future obs12)
   (precedes-1 obs12 obs11)
   (matches-2 obs13 F3D-1-0-364 checkpoint10)
   (future obs13)
   (precedes-1 obs13 obs12)
   (matches-2 obs14 heli0 FCL-EVENT-FINISHED)
   (future obs14)
   (precedes-1 obs14 obs13)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
  ))

  (:metric minimize (total-cost))
 )
