(define (problem revinge-09-10-04-4)
  (:domain witas-dddl-compiled)

  (:objects
   heli1 - helicopter
   heli0 - helicopter
   F3D-2-1-364 - Fly3D
   F3D-3-0-369 - Fly3D
   NAV-3-1-259 - NavToPoint
   NAV-3-0-257 - NavToPoint
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
   obs15 - observation
   obs16 - observation
   obs17 - observation
   obs18 - observation
   obs19 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-2-1-364)
   (task-running-on F3D-2-1-364 heli1)
   (Fly3D-mode-is-pre_init F3D-3-0-369)
   (task-running-on F3D-3-0-369 heli0)
   (NavToPoint-mode-is-pre_init NAV-3-1-259)
   (task-running-on NAV-3-1-259 heli1)
   (NavToPoint-mode-is-pre_init NAV-3-0-257)
   (task-running-on NAV-3-0-257 heli0)
   (MissionExec-mission-idle heli1)
   (MissionExec-mission-idle heli0)
   (matches-2 obs0 heli0 FCL-EVENT-IN_THE_AIR)
   (pending obs0)
   (matches-2 obs1 heli1 FCL-EVENT-IN_THE_AIR)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 heli1 FCL-EVENT-FINISHED)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 heli0 FCL-EVENT-FINISHED)
   (future obs3)
   (precedes-1 obs3 obs1)
   (matches-2 obs4 heli1 FCL-EVENT-FINISHED)
   (future obs4)
   (precedes-2 obs4 obs2 obs3)
   (matches-2 obs5 heli0 FCL-EVENT-FINISHED)
   (future obs5)
   (precedes-2 obs5 obs2 obs3)
   (matches-2 obs6 heli1 FCL-EVENT-FINISHED)
   (future obs6)
   (precedes-2 obs6 obs4 obs5)
   (matches-2 obs7 heli0 FCL-EVENT-FINISHED)
   (future obs7)
   (precedes-2 obs7 obs4 obs5)
   (matches-2 obs8 heli0 FCL-EVENT-FINISHED)
   (future obs8)
   (precedes-2 obs8 obs6 obs7)
   (matches-2 obs9 heli1 FCL-EVENT-FINISHED)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-3 obs10 NAV-3-0-257 created MissionExecutor)
   (future obs10)
   (precedes-1 obs10 obs8)
   (matches-2 obs11 NAV-3-0-257 checkpoint1)
   (future obs11)
   (precedes-1 obs11 obs8)
   (matches-3 obs12 NAV-3-1-259 created MissionExecutor)
   (future obs12)
   (precedes-3 obs12 obs9 obs10 obs11)
   (matches-2 obs13 NAV-3-1-259 checkpoint1)
   (future obs13)
   (precedes-1 obs13 obs12)
   (matches-2 obs14 NAV-3-0-257 checkpoint4)
   (future obs14)
   (precedes-1 obs14 obs12)
   (matches-3 obs15 F3D-3-0-369 created NAV-3-0-257)
   (future obs15)
   (precedes-1 obs15 obs12)
   (matches-2 obs16 F3D-3-0-369 checkpoint10)
   (future obs16)
   (precedes-1 obs16 obs12)
   (matches-2 obs17 NAV-3-1-259 checkpoint4)
   (future obs17)
   (precedes-4 obs17 obs13 obs14 obs15 obs16)
   (matches-3 obs18 F3D-2-1-364 created NAV-3-1-259)
   (future obs18)
   (precedes-1 obs18 obs17)
   (matches-2 obs19 F3D-2-1-364 checkpoint10)
   (future obs19)
   (precedes-1 obs19 obs18)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
          (observed obs15)
          (observed obs16)
          (observed obs17)
          (observed obs18)
          (observed obs19)
  ))

  (:metric minimize (total-cost))
 )
