(define (problem revinge-09-10-04-4)
  (:domain witas-dddl-compiled)

  (:objects
   heli1 - helicopter
   heli0 - helicopter
   F3D-2-1-364 - Fly3D
   F3D-3-0-369 - Fly3D
   NAV-3-1-259 - NavToPoint
   NAV-3-0-257 - NavToPoint
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-2-1-364)
   (task-running-on F3D-2-1-364 heli1)
   (Fly3D-mode-is-pre_init F3D-3-0-369)
   (task-running-on F3D-3-0-369 heli0)
   (NavToPoint-mode-is-pre_init NAV-3-1-259)
   (task-running-on NAV-3-1-259 heli1)
   (NavToPoint-mode-is-pre_init NAV-3-0-257)
   (task-running-on NAV-3-0-257 heli0)
   (MissionExec-mission-idle heli1)
   (MissionExec-mission-idle heli0)
   (matches-2 obs0 heli1 FCL-EVENT-FINISHED)
   (pending obs0)
   (matches-2 obs1 heli0 FCL-EVENT-FINISHED)
   (pending obs1)
   (matches-2 obs2 heli1 FCL-EVENT-FINISHED)
   (future obs2)
   (precedes-2 obs2 obs0 obs1)
   (matches-2 obs3 heli0 FCL-EVENT-FINISHED)
   (future obs3)
   (precedes-2 obs3 obs0 obs1)
   (matches-3 obs4 NAV-3-1-259 created MissionExecutor)
   (future obs4)
   (precedes-2 obs4 obs2 obs3)
   (matches-2 obs5 NAV-3-1-259 checkpoint1)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-2 obs6 NAV-3-0-257 checkpoint4)
   (future obs6)
   (precedes-1 obs6 obs4)
   (matches-3 obs7 F3D-3-0-369 created NAV-3-0-257)
   (future obs7)
   (precedes-1 obs7 obs4)
   (matches-2 obs8 NAV-3-1-259 checkpoint4)
   (future obs8)
   (precedes-3 obs8 obs5 obs6 obs7)
   (matches-3 obs9 F3D-2-1-364 created NAV-3-1-259)
   (future obs9)
   (precedes-1 obs9 obs8)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
  ))

  (:metric minimize (total-cost))
 )
