(define (problem revinge-09-10-04-4)
  (:domain witas-dddl-compiled)

  (:objects
   heli1 - helicopter
   heli0 - helicopter
   F3D-2-1-364 - Fly3D
   F3D-3-0-369 - Fly3D
   NAV-3-1-259 - NavToPoint
   NAV-3-0-257 - NavToPoint
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-2-1-364)
   (task-running-on F3D-2-1-364 heli1)
   (Fly3D-mode-is-pre_init F3D-3-0-369)
   (task-running-on F3D-3-0-369 heli0)
   (NavToPoint-mode-is-pre_init NAV-3-1-259)
   (task-running-on NAV-3-1-259 heli1)
   (NavToPoint-mode-is-pre_init NAV-3-0-257)
   (task-running-on NAV-3-0-257 heli0)
   (MissionExec-mission-idle heli1)
   (MissionExec-mission-idle heli0)
   (matches-2 obs0 heli0 FCL-EVENT-IN_THE_AIR)
   (pending obs0)
   (matches-2 obs1 heli1 FCL-EVENT-FINISHED)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 heli0 FCL-EVENT-FINISHED)
   (future obs2)
   (precedes-1 obs2 obs0)
   (matches-2 obs3 heli1 FCL-EVENT-FINISHED)
   (future obs3)
   (precedes-2 obs3 obs1 obs2)
   (matches-2 obs4 heli1 FCL-EVENT-FINISHED)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-2 obs5 heli0 FCL-EVENT-FINISHED)
   (future obs5)
   (precedes-1 obs5 obs3)
   (matches-2 obs6 heli0 FCL-EVENT-FINISHED)
   (future obs6)
   (precedes-2 obs6 obs4 obs5)
   (matches-3 obs7 NAV-3-0-257 created MissionExecutor)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-3 obs8 NAV-3-1-259 created MissionExecutor)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-2 obs9 NAV-3-1-259 checkpoint1)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-2 obs10 NAV-3-0-257 checkpoint4)
   (future obs10)
   (precedes-1 obs10 obs8)
   (matches-3 obs11 F3D-3-0-369 created NAV-3-0-257)
   (future obs11)
   (precedes-1 obs11 obs8)
   (matches-2 obs12 F3D-3-0-369 checkpoint10)
   (future obs12)
   (precedes-1 obs12 obs8)
   (matches-2 obs13 NAV-3-1-259 checkpoint4)
   (future obs13)
   (precedes-4 obs13 obs9 obs10 obs11 obs12)
   (matches-3 obs14 F3D-2-1-364 created NAV-3-1-259)
   (future obs14)
   (precedes-1 obs14 obs13)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
  ))

  (:metric minimize (total-cost))
 )
