(define (problem revinge-10-10-04-2)
  (:domain witas-dddl-compiled)

  (:objects
   heli0 - helicopter
   F3D-30-0-509 - Fly3D
   DAP-3-0-503 - DoAtPoints
   PGM-3-0-503 - Photogrametry
   ATO-3-0-240 - AutoTakeOff
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
   obs10 - observation
   obs11 - observation
   obs12 - observation
   obs13 - observation
   obs14 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-30-0-509)
   (task-running-on F3D-30-0-509 heli0)
   (DoAtPoints-mode-is-pre_init DAP-3-0-503)
   (task-running-on DAP-3-0-503 heli0)
   (Photogrametry-mode-is-pre_init PGM-3-0-503)
   (task-running-on PGM-3-0-503 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-3-0-240)
   (task-running-on ATO-3-0-240 heli0)
   (MissionExec-mission-idle heli0)
   (matches-3 obs0 ATO-3-0-240 created MissionExecutor)
   (pending obs0)
   (matches-2 obs1 ATO-3-0-240 checkpoint3)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 heli0 FCL-EVENT-IN_THE_AIR)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 ATO-3-0-240 checkpoint3)
   (future obs3)
   (precedes-1 obs3 obs2)
   (matches-2 obs4 heli0 FCL-EVENT-FINISHED)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-2 obs5 ATO-3-0-240 checkpoint2)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-2 obs6 ATO-3-0-240 checkpoint5)
   (future obs6)
   (precedes-1 obs6 obs5)
   (matches-2 obs7 ATO-3-0-240 checkpoint6)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-2 obs8 ATO-3-0-240 destroyed)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-3 obs9 PGM-3-0-503 created MissionExecutor)
   (future obs9)
   (precedes-1 obs9 obs8)
   (matches-3 obs10 DAP-3-0-503 created PGM-3-0-503)
   (future obs10)
   (precedes-1 obs10 obs9)
   (matches-2 obs11 DAP-3-0-503 checkpoint1)
   (future obs11)
   (precedes-1 obs11 obs10)
   (matches-2 obs12 DAP-3-0-503 checkpoint2)
   (future obs12)
   (precedes-1 obs12 obs11)
   (matches-2 obs13 DAP-3-0-503 checkpoint3)
   (future obs13)
   (precedes-1 obs13 obs12)
   (matches-2 obs14 heli0 FCL-EVENT-FINISHED)
   (future obs14)
   (precedes-1 obs14 obs13)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
          (observed obs10)
          (observed obs11)
          (observed obs12)
          (observed obs13)
          (observed obs14)
  ))

  (:metric minimize (total-cost))
 )
