(define (problem revinge-10-10-04-3)
  (:domain witas-dddl-compiled)

  (:objects
   heli0 - helicopter
   F3D-41-0-567 - Fly3D
   DAP-4-0-561 - DoAtPoints
   PGM-4-0-561 - Photogrametry
   ATO-4-0-240 - AutoTakeOff
   obs0 - observation
   obs1 - observation
   obs2 - observation
   obs3 - observation
   obs4 - observation
   obs5 - observation
   obs6 - observation
   obs7 - observation
   obs8 - observation
   obs9 - observation
  )

  (:init
   (static-true)
   (Fly3D-mode-is-pre_init F3D-41-0-567)
   (task-running-on F3D-41-0-567 heli0)
   (DoAtPoints-mode-is-pre_init DAP-4-0-561)
   (task-running-on DAP-4-0-561 heli0)
   (Photogrametry-mode-is-pre_init PGM-4-0-561)
   (task-running-on PGM-4-0-561 heli0)
   (AutoTakeOff-mode-is-pre_init ATO-4-0-240)
   (task-running-on ATO-4-0-240 heli0)
   (MissionExec-mission-idle heli0)
   (matches-2 obs0 ATO-4-0-240 checkpoint3)
   (pending obs0)
   (matches-2 obs1 heli0 FCL-EVENT-IN_THE_AIR)
   (future obs1)
   (precedes-1 obs1 obs0)
   (matches-2 obs2 heli0 FCL-EVENT-FINISHED)
   (future obs2)
   (precedes-1 obs2 obs1)
   (matches-2 obs3 ATO-4-0-240 checkpoint2)
   (future obs3)
   (precedes-1 obs3 obs2)
   (matches-2 obs4 ATO-4-0-240 destroyed)
   (future obs4)
   (precedes-1 obs4 obs3)
   (matches-3 obs5 PGM-4-0-561 created MissionExecutor)
   (future obs5)
   (precedes-1 obs5 obs4)
   (matches-3 obs6 DAP-4-0-561 created PGM-4-0-561)
   (future obs6)
   (precedes-1 obs6 obs5)
   (matches-2 obs7 DAP-4-0-561 checkpoint1)
   (future obs7)
   (precedes-1 obs7 obs6)
   (matches-2 obs8 DAP-4-0-561 checkpoint3)
   (future obs8)
   (precedes-1 obs8 obs7)
   (matches-2 obs9 PGM-4-0-561 checkpoint2)
   (future obs9)
   (precedes-1 obs9 obs8)
   (= (total-cost) 0)
  )

  (:goal (and
          (observed obs0)
          (observed obs1)
          (observed obs2)
          (observed obs3)
          (observed obs4)
          (observed obs5)
          (observed obs6)
          (observed obs7)
          (observed obs8)
          (observed obs9)
  ))

  (:metric minimize (total-cost))
 )
